Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkEmptyCell Class Reference

`#include <vtkEmptyCell.h>`

Inheritance diagram for vtkEmptyCell:

[legend]
Collaboration diagram for vtkEmptyCell:

[legend]
List of all members.

## Detailed Description

an empty cell used as a place-holder during processing

Date:
  2002/11/12 18:55:41

Revision:
  1.34

vtkEmptyCell is a concrete implementation of vtkCell. It is used during processing to represented a deleted element.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (68%)
  - Geveci, Berk (11%)
  - Law, Charles (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkEmptyCell.cxx)`
  - .`h` (`/Common/vtkEmptyCell.h)`

Tests:
  vtkEmptyCell (Tests)

Definition at line 46 of file vtkEmptyCell.h.

## Public Types
typedef vtkCell | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
int | EvaluatePosition (float x[3], float *closestPoint, int &subId, float pcoords[3], float &dist2, float *weights)
void | EvaluateLocation (int &subId, float pcoords[3], float x[3], float *weights)
int | IntersectWithLine (float p1[3], float p2[3], float tol, float &t, float x[3], float pcoords[3], int &subId)
int | Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts)
void | Derivatives (int subId, float pcoords[3], float *values, int dim, float *derivs)
int | GetCellType ()
int | GetCellDimension ()
int | GetNumberOfEdges ()
int | GetNumberOfFaces ()
vtkCell * | GetEdge (int)
vtkCell * | GetFace (int)
int | CellBoundary (int subId, float pcoords[3], vtkIdList *pts)
void | Contour (float value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts1, vtkCellArray *lines, vtkCellArray *verts2, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd)
void | Clip (float value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *pts, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut)
## Static Public Methods
vtkEmptyCell * | New ()
int | IsTypeOf (const char *type)
vtkEmptyCell * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkEmptyCell ()
| ~vtkEmptyCell ()

## Member Typedef Documentation

typedef vtkCell vtkEmptyCell::Superclass

| Reimplemented from vtkCell. Definition at line 50 of file vtkEmptyCell.h.

## Constructor & Destructor Documentation

vtkEmptyCell::vtkEmptyCell | ( |  | ) | `[inline, protected]`

| Definition at line 85 of file vtkEmptyCell.h.

vtkEmptyCell::~vtkEmptyCell | ( |  | ) | `[inline, protected]`

| Definition at line 86 of file vtkEmptyCell.h.

## Member Function Documentation

vtkEmptyCell* vtkEmptyCell::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkEmptyCell::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCell.

int vtkEmptyCell::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCell.

virtual int vtkEmptyCell::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCell.

vtkEmptyCell* vtkEmptyCell::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCell.

int vtkEmptyCell::GetCellType | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 54 of file vtkEmptyCell.h. References VTK_EMPTY_CELL.

int vtkEmptyCell::GetCellDimension | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 55 of file vtkEmptyCell.h.

int vtkEmptyCell::GetNumberOfEdges | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 56 of file vtkEmptyCell.h.

int vtkEmptyCell::GetNumberOfFaces | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 57 of file vtkEmptyCell.h.

vtkCell* vtkEmptyCell::GetEdge | ( | int |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 58 of file vtkEmptyCell.h.

vtkCell* vtkEmptyCell::GetFace | ( | int |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 59 of file vtkEmptyCell.h.

int vtkEmptyCell::CellBoundary | ( | int | subId,
|  | float | pcoords[3],
|  | vtkIdList * | pts
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkEmptyCell::Contour | ( | float | value,
|  | vtkDataArray * | cellScalars,
|  | vtkPointLocator * | locator,
|  | vtkCellArray * | verts1,
|  | vtkCellArray * | lines,
|  | vtkCellArray * | verts2,
|  | vtkPointData * | inPd,
|  | vtkPointData * | outPd,
|  | vtkCellData * | inCd,
|  | vtkIdType | cellId,
|  | vtkCellData * | outCd
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkEmptyCell::Clip | ( | float | value,
|  | vtkDataArray * | cellScalars,
|  | vtkPointLocator * | locator,
|  | vtkCellArray * | pts,
|  | vtkPointData * | inPd,
|  | vtkPointData * | outPd,
|  | vtkCellData * | inCd,
|  | vtkIdType | cellId,
|  | vtkCellData * | outCd,
|  | int | insideOut
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkEmptyCell::EvaluatePosition | ( | float | x[3],
|  | float * | closestPoint,
|  | int & | subId,
|  | float | pcoords[3],
|  | float & | dist2,
|  | float * | weights
| ) | `[virtual]`

| Given a point x[3] return inside(=1) or outside(=0) cell; evaluate parametric coordinates, sub-cell id (!=0 only if cell is composite), distance squared of point x[3] to cell (in particular, the sub-cell indicated), closest point on cell to x[3] (unless closestPoint is null, in which case, the closest point and dist2 are not found), and interpolation weights in cell. (The number of weights is equal to the number of points defining the cell). Note: on rare occasions a -1 is returned from the method. This means that numerical error has occurred and all data returned from this method should be ignored. Also, inside/outside is determine parametrically. That is, a point is inside if it satisfies parametric limits. This can cause problems for cells of topological dimension 2 or less, since a point in 3D can project onto the cell within parametric limits but be "far" from the cell. Thus the value dist2 may be checked to determine true in/out. Implements vtkCell.

void vtkEmptyCell::EvaluateLocation | ( | int & | subId,
|  | float | pcoords[3],
|  | float | x[3],
|  | float * | weights
| ) | `[virtual]`

| Determine global coordinate (x[3]) from subId and parametric coordinates. Also returns interpolation weights. (The number of weights is equal to the number of points in the cell.) Implements vtkCell.

int vtkEmptyCell::IntersectWithLine | ( | float | p1[3],
|  | float | p2[3],
|  | float | tol,
|  | float & | t,
|  | float | x[3],
|  | float | pcoords[3],
|  | int & | subId
| ) | `[virtual]`

| Intersect with a ray. Return parametric coordinates (both line and cell) and global intersection coordinates, given ray definition and tolerance. The method returns non-zero value if intersection occurs. Implements vtkCell.

int vtkEmptyCell::Triangulate | ( | int | index,
|  | vtkIdList * | ptIds,
|  | vtkPoints * | pts
| ) | `[virtual]`

| Generate simplices of proper dimension. If cell is 3D, tetrahedron are generated; if 2D triangles; if 1D lines; if 0D points. The form of the output is a sequence of points, each n+1 points (where n is topological cell dimension) defining a simplex. The index is a parameter that controls which triangulation to use (if more than one is possible). If numerical degeneracy encountered, 0 is returned, otherwise 1 is returned. Implements vtkCell.

void vtkEmptyCell::Derivatives | ( | int | subId,
|  | float | pcoords[3],
|  | float * | values,
|  | int | dim,
|  | float * | derivs
| ) | `[virtual]`

| Compute derivatives given cell subId and parametric coordinates. The values array is a series of data value(s) at the cell points. There is a one-to-one correspondence between cell point and data value(s). Dim is the number of data values per cell point. Derivs are derivatives in the x-y-z coordinate directions for each data value. Thus, if computing derivatives for a scalar function in a hexahedron, dim=1, 8 values are supplied, and 3 deriv values are returned (i.e., derivatives in x-y-z directions). On the other hand, if computing derivatives of velocity (vx,vy,vz) dim=3, 24 values are supplied ((vx,vy,vz)1, (vx,vy,vz)2, ....()8), and 9 deriv values are returned ((d(vx)/dx),(d(vx)/dy),(d(vx)/dz), (d(vy)/dx),(d(vy)/dy), (d(vy)/dz), (d(vz)/dx),(d(vz)/dy),(d(vz)/dz)). Implements vtkCell.

The documentation for this class was generated from the following file:

- Common/vtkEmptyCell.h